<? $this->layout()->setLayout('error') ?>


<div class="r_msg">
    	<h1><?= $this->content; ?></h1>
</div>

<?php
	$m_popular_cities = new Cubix_Geography_Cities();

	$gender = 1;
	$type = false;
	
	$cache = Zend_Registry::get('cache');
	$cache_key = 'error_page_' . $gender . '_' . $type . '_popular_cities' . '_' . $this->request()->lang_id;

	$count = $cache->load($cache_key . '_count');
	if ( ! $popular_cities = $cache->load($cache_key) )
	{
		$popular_cities = $m_popular_cities->getPopularCities(20, $gender, $type);

		$cache->save($popular_cities, $cache_key, array());
		$cache->save($count, $cache_key . '_count', array());
	}
?>

<? if ( count($popular_cities) ): ?>
<div class="r_box">
	<? $c = 0; ?>
	<? foreach($popular_cities as $k => $popular_city): ?>
		<? if ( $k == 0 ): ?>
		<div class="r_cities_l">
		<? endif; ?>			
		
		<? if ( $c == 0 && $k != 0 && $k % 10 == 0 ): ?>
		</div>
		<div class="r_cities_r">
		<? $c++; ?>
		<? endif; ?>

			<div>
				<a class='mcity' href='<?= $this->getLink('escorts', array('city' => $popular_city->country_iso . '_' . $popular_city->city_slug, 'filter' => null, 'page' => null), true) ?>' title='<?= $this->t('escorts_in_city', array('CITY' => $popular_city->city_title)) ?>'><?= $popular_city->city_title ?></a>
				<span> (<?= $popular_city->escort_count ?>)</span>
			</div>

		<? if ( count($popular_cities) == $k + 1 ): ?>
		</div>
		<? endif; ?>
	<? endforeach; ?>
</div>
<? endif; ?>